Subject: Re: bug#71646: 29.3; pixel-scroll-precision-mode overrides paging behaviour even when pixel-scroll-precision-interpolate-page is off

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Sep 2024 13:33:54 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 1 Sep 2024 02:48:57 -0700
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Ping! Should I close this?
> 
> Shouldn't we rather fix the bug described by Mike?  I.e. this:
> 
> > Setting `pixel-scroll-precision-interpolate-page’ is supposed to
> > turn off the paging animation (which it does) however even when it’s
> > off, <prior> and <next> invoke `cua-scroll-up’ & `cua-scroll-down’
> > rather than allowing another keymap to handle it.

I don't mind to fixing this, if possible, but (a) I don't think I
understand what is being suggested by the text you quote above, and
(b) given Po Lu's response, it doesn't seem like the proposed changes
will be accepted, or did I miss something?